restinio::easy_parser::impl::any_symbol_predicate_t Struct Reference

A predicate that allows extraction of any symbol. More...

`#include <easy_parser.hpp>`

## Public Member Functions

RESTINIO_NODISCARD constexpr bool | operator() (const char) const noexcept

## Detailed Description

A predicate that allows extraction of any symbol.

This predicate is necessary for implementation of any_symbol_p() producer.

Since
  v.0.6.6

Definition at line 2178 of file easy_parser.hpp.

## Member Function Documentation

## operator()()

RESTINIO_NODISCARD constexpr bool restinio::easy_parser::impl::any_symbol_predicate_t::operator() | ( | const char |  | ) | const

inlineconstexprnoexcept

Definition at line 2182 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp